# -*- encoding: utf-8 -*-

from django.urls import path, include
from rest_framework.authtoken.views import obtain_auth_token

from .views import (
    Subscription_ListView,
    Subscription_DetailView,
    UserServerLink_ListView,
    UserServerLink_DetailView,
    SavedGuild_ListView,
    SavedGuild_DetailView
)

 
urlpatterns = [
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
    path("api-token-auth/", obtain_auth_token),

    path("subscription/", include([
        path("", Subscription_ListView.as_view(), name="subscription"),
        path("<str:pk>/", Subscription_DetailView.as_view(), name="subscription-detail")
    ])),

    path("serverlink/", include([
        path("", UserServerLink_ListView.as_view(), name="serverlink"),
        path("<int:pk>/", UserServerLink_DetailView.as_view(), name="serverlink-detail")
    ])),

    path("saved-guilds/", include([
        path("", SavedGuild_ListView.as_view(), name="saved-guilds"),
        path("<int:pk>/", SavedGuild_DetailView.as_view(), name="saved-guilds-detail")
    ])),
]